from typing import List, Tuple

import pytest

from sziszapangma.core.wer.wer_embedding_calculator import \
    WerEmbeddingCalculator
from tests.file_stored_embedding_transformer import \
    FileStoredEmbeddingTransformer


def get_sample_data() -> Tuple[List[str], List[str]]:
    reference = ['ala', 'ma', 'dobrego', 'wielkiego', 'psa', 'rasowego']
    hypothesis = ['alana', 'rego', 'kruchego', 'psa', 'rasowego']
    return reference, hypothesis


def get_calculator() -> WerEmbeddingCalculator:
    return WerEmbeddingCalculator(
        FileStoredEmbeddingTransformer('tests/embeddings_pl.json'))


def test_classic_calculate_wer_value():
    """Sample test for core calculate."""
    reference, hypothesis = get_sample_data()
    wer_result = get_calculator().calculate_wer(reference, hypothesis)
    print(wer_result[0])
    assert pytest.approx(wer_result[0]) == 0.55879563
